#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xcff29b4e, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x3e41eb93, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x69356bc7, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x2c31a936, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x7bbe6a6f, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x1eeaaa31, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xf58a1c66, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x0b9c0145, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x13f4d7a3, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xeeb5ae05, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x91d0fe04, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x815d8573, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xcf71a01e, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x979b7de9, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0xb2dadc60, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x3e764481, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0xd6da54b0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x8f2332f4, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x772e0b27, "_dev_printk" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x163ce1fc, "__traceiter_iscsi_dbg_tcp" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x337045fc, "vmemmap" },
	{ 0x43babd19, "sg_init_one" },
	{ 0xdbbf1f54, "crypto_ahash_update" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xfeb7cea3, "crypto_ahash_final" },
	{ 0x66d1f425, "crypto_ahash_digest" },
	{ 0xb6d6df4d, "crypto_ahash_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0xe798236d, "jiffies" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xcbdd6ba5, "skb_prepare_seq_read" },
	{ 0x9f6f9caa, "skb_seq_read" },
	{ 0x557263a8, "skb_abort_seq_read" },
	{ 0x9fdfec82, "iscsi_conn_failure" },
	{ 0x08865ddf, "iscsi_conn_setup" },
	{ 0x87439856, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0xe0cead46, "iscsi_itt_to_ctask" },
	{ 0x4e07acfe, "iscsi_get_task" },
	{ 0x5a8bd6d2, "iscsi_update_cmdsn" },
	{ 0x57150650, "iscsi_requeue_task" },
	{ 0x78336c22, "iscsi_put_task" },
	{ 0x90ba4eff, "iscsi_prep_data_out_pdu" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x8545f3f2, "iscsi_complete_pdu" },
	{ 0x63f15833, "iscsi_verify_itt" },
	{ 0x45351f89, "__iscsi_complete_pdu" },
	{ 0xe4fb7b07, "param_ops_int" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
MODULE_INFO(rhelversion, "9.99");
