#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_vs_conn_in_get_proto, "_gpl", "");
KSYMTAB_FUNC(ip_vs_conn_out_get_proto, "_gpl", "");
KSYMTAB_FUNC(register_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(unregister_ip_vs_scheduler, "", "");
KSYMTAB_FUNC(ip_vs_proto_name, "", "");
KSYMTAB_FUNC(ip_vs_conn_new, "", "");
KSYMTAB_FUNC(ip_vs_conn_in_get, "", "");
KSYMTAB_FUNC(ip_vs_conn_out_get, "", "");
KSYMTAB_FUNC(ip_vs_tcp_conn_listen, "", "");
KSYMTAB_FUNC(ip_vs_conn_put, "", "");
KSYMTAB_FUNC(ip_vs_new_conn_out, "", "");
KSYMTAB_FUNC(ip_vs_scheduler_err, "", "");
KSYMTAB_FUNC(register_ip_vs_app, "", "");
KSYMTAB_FUNC(unregister_ip_vs_app, "", "");
KSYMTAB_FUNC(register_ip_vs_app_inc, "", "");
KSYMTAB_FUNC(ip_vs_proto_get, "", "");
KSYMTAB_FUNC(ip_vs_proto_data_get, "", "");
KSYMTAB_FUNC(register_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(unregister_ip_vs_pe, "_gpl", "");
KSYMTAB_FUNC(ip_vs_nfct_expect_related, "", "");

SYMBOL_CRC(ip_vs_conn_in_get_proto, 0xd17f7a87, "_gpl");
SYMBOL_CRC(ip_vs_conn_out_get_proto, 0xb9996e25, "_gpl");
SYMBOL_CRC(register_ip_vs_scheduler, 0x0324757a, "");
SYMBOL_CRC(unregister_ip_vs_scheduler, 0xa6f76f36, "");
SYMBOL_CRC(ip_vs_proto_name, 0xd831a1a2, "");
SYMBOL_CRC(ip_vs_conn_new, 0x2b883b3c, "");
SYMBOL_CRC(ip_vs_conn_in_get, 0xed4b2561, "");
SYMBOL_CRC(ip_vs_conn_out_get, 0x1afed621, "");
SYMBOL_CRC(ip_vs_tcp_conn_listen, 0x31a607c9, "");
SYMBOL_CRC(ip_vs_conn_put, 0xd4771fa8, "");
SYMBOL_CRC(ip_vs_new_conn_out, 0x6bfd83be, "");
SYMBOL_CRC(ip_vs_scheduler_err, 0x831d5a23, "");
SYMBOL_CRC(register_ip_vs_app, 0xa3be3c4b, "");
SYMBOL_CRC(unregister_ip_vs_app, 0x61ff04eb, "");
SYMBOL_CRC(register_ip_vs_app_inc, 0x4a22d387, "");
SYMBOL_CRC(ip_vs_proto_get, 0x69d07bdf, "");
SYMBOL_CRC(ip_vs_proto_data_get, 0xefe4bc40, "");
SYMBOL_CRC(register_ip_vs_pe, 0x1f105322, "_gpl");
SYMBOL_CRC(unregister_ip_vs_pe, 0xa9d7ea8b, "_gpl");
SYMBOL_CRC(ip_vs_nfct_expect_related, 0x92959212, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6d55c66, "nf_ct_ext_add" },
	{ 0x1b015d25, "bitmap_parselist" },
	{ 0x7c55dab1, "nf_conntrack_find_get" },
	{ 0x09b98b19, "try_module_get" },
	{ 0xb6037eed, "__ip_select_ident" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xdebca48a, "icmp6_send" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xadf2c3e4, "skb_copy_bits" },
	{ 0x3289c1e0, "xfrm_lookup" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xb77e5d1d, "proc_dointvec_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x39bb6904, "housekeeping_cpumask" },
	{ 0x7c362fca, "consume_skb" },
	{ 0x9c522339, "ip6_local_out" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x1e0a0c24, "mod_timer_pending" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x3909fc0f, "nf_register_sockopt" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x2bd6b87e, "nf_ct_netns_get" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x39938f77, "kernel_bind" },
	{ 0x7e67197d, "set_user_nice" },
	{ 0xbd708bbf, "genlmsg_put" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x89cca096, "udp_set_csum" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xaac955f4, "ip6_route_me_harder" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x22595269, "__module_get" },
	{ 0x3b74985d, "ip_route_output_flow" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xb2d7b91a, "iptunnel_handle_offloads" },
	{ 0xac3201b0, "udp_flow_hashrnd" },
	{ 0xa3671e55, "__dev_get_by_name" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x4918682c, "proc_create_net_data" },
	{ 0x3da5c61a, "pskb_expand_head" },
	{ 0x66e2ca0f, "register_pernet_subsys" },
	{ 0x8c86f8c5, "wake_up_process" },
	{ 0x9ae47436, "_find_last_bit" },
	{ 0x60b0f5b0, "register_net_sysctl_sz" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x01000e51, "schedule" },
	{ 0x00549b14, "nf_unregister_sockopt" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x4d1acf0f, "nf_register_net_hooks" },
	{ 0x47df8e92, "ip6_route_output_flags" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa7f1bfbc, "__alloc_skb" },
	{ 0x93d0ff87, "ipv6_sock_mc_join" },
	{ 0x4a93ea70, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xfac8865f, "sysctl_wmem_max" },
	{ 0xb05fc310, "sysctl_rmem_max" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xdaa15380, "ipv6_dev_get_saddr" },
	{ 0x7601512b, "__skb_get_hash_net" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x629c8a30, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xdfd80448, "sk_skb_reason_drop" },
	{ 0x232b751d, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xe54347af, "nf_ct_expect_related_report" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0x98556c44, "ip_route_me_harder" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5db31487, "skb_push" },
	{ 0x654bb159, "kmem_cache_free" },
	{ 0x01d0e933, "set_cpus_allowed_ptr" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0483dd96, "seq_putc" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x0456b616, "proc_doulongvec_minmax" },
	{ 0x9daff494, "nf_ct_expect_alloc" },
	{ 0xc0c84efa, "skb_ensure_writable" },
	{ 0xb9476fb8, "iov_iter_kvec" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x0deb88f9, "ip_mc_join_group" },
	{ 0x33700afc, "nf_ct_expect_put" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xefecd4b7, "ns_capable" },
	{ 0xef22a465, "nf_unregister_net_hooks" },
	{ 0x0288e62e, "inet_select_addr" },
	{ 0x0276d40e, "unregister_pernet_device" },
	{ 0xf04a4cb9, "lock_sock_nested" },
	{ 0xa14dd8e2, "inet_addr_type" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0xdea78bd9, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x7a1418e9, "__nf_conntrack_confirm" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf36afbae, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x230a6dc0, "kernel_connect" },
	{ 0x370bcd5c, "skb_checksum" },
	{ 0xf5c64825, "ip_defrag" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xce068d59, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x950c6761, "__pskb_pull_tail" },
	{ 0x86cde5c6, "nf_ct_delete" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x54631801, "__kmem_cache_create_args" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x72359d03, "skb_trim" },
	{ 0x3fc0f67f, "nf_hook_slow" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x2a8185be, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x40c7247c, "si_meminfo" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x854bfb34, "nf_ct_deliver_cached_events" },
	{ 0xe496fa47, "skb_realloc_headroom" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x54dc07b6, "ipv6_find_hdr" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x962f344a, "__icmp_send" },
	{ 0xfa7ede3d, "crc32c_le_arch" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x2886bd17, "skb_set_owner_w" },
	{ 0x97ab7808, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x8090cd5a, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xf38f4c17, "init_user_ns" },
	{ 0xf5b36a20, "nf_ct_expect_init" },
	{ 0x631c877f, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xb7a8cb35, "remove_proc_entry" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x4b3cf3e5, "seq_printf" },
	{ 0xbea418e9, "sock_recvmsg" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0x4e283649, "proc_create_net_single" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbb66bdc3, "ipv4_update_pmtu" },
	{ 0xfea5f7b1, "nf_defrag_ipv6_enable" },
	{ 0x7f0f7a95, "dst_release" },
	{ 0x568a3be1, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x74a6214c, "proc_dointvec" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0x5ede9310, "ip_local_out" },
	{ 0xde6591d1, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd45c343b, "udp6_set_csum" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xe4fb7b07, "param_ops_int" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa6940c93, "genl_register_family" },
	{ 0x3309a72c, "kernel_sendmsg" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0xcf1a7b23, "nf_ct_netns_put" },
	{ 0x97fee5af, "register_pernet_device" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x4012df4f, "krealloc_noprof" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x73c44bf5, "kmem_cache_destroy" },
	{ 0x6efdfe87, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_defrag_ipv6");


MODULE_INFO(srcversion, "57F7A5903DCA49E08EE23BE");
MODULE_INFO(rhelversion, "9.99");
