#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(__ovs_vport_ops_register, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_ops_unregister, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_alloc, "_gpl", "");
KSYMTAB_FUNC(ovs_vport_free, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_link, "_gpl", "");
KSYMTAB_FUNC(ovs_netdev_tunnel_destroy, "_gpl", "");

SYMBOL_CRC(__ovs_vport_ops_register, 0xbb43a189, "_gpl");
SYMBOL_CRC(ovs_vport_ops_unregister, 0x4b92e6fc, "_gpl");
SYMBOL_CRC(ovs_vport_alloc, 0x5143b336, "_gpl");
SYMBOL_CRC(ovs_vport_free, 0x36aef2fe, "_gpl");
SYMBOL_CRC(ovs_netdev_link, 0x8c479e91, "_gpl");
SYMBOL_CRC(ovs_netdev_tunnel_destroy, 0x0ef19246, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf6d55c66, "nf_ct_ext_add" },
	{ 0x50c619c3, "nsh_pop" },
	{ 0x7c55dab1, "nf_conntrack_find_get" },
	{ 0x478db49b, "nf_ct_set_timeout" },
	{ 0x9c22d39b, "dev_get_stats" },
	{ 0xcc43fdc5, "__nla_put" },
	{ 0x09b98b19, "try_module_get" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbb8e283a, "dev_fill_metadata_dst" },
	{ 0xe0d62d3e, "bpf_trace_run4" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0xadf2c3e4, "skb_copy_bits" },
	{ 0x71fe0a93, "nf_ct_handle_fragments" },
	{ 0x8aa3b4f8, "eth_mac_addr" },
	{ 0xdd8a35d2, "skb_put" },
	{ 0x5ff58227, "genl_notify" },
	{ 0xaf16e49c, "nsh_push" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x5e515be6, "ktime_get_ts64" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7c362fca, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x232a6080, "nf_ct_nat" },
	{ 0x5c265759, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x415c5449, "skb_eth_pop" },
	{ 0xde35b82a, "trace_raw_output_prep" },
	{ 0x283966de, "skb_gso_validate_mac_len" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x0f827b8b, "__nf_ct_try_assign_helper" },
	{ 0x86dd708d, "tc_skb_ext_tc_enable" },
	{ 0xf4df0670, "nf_ct_helper" },
	{ 0x22fb0260, "__trace_trigger_soft_disabled" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x985a279b, "trace_event_printf" },
	{ 0xe3f43182, "rtnl_delete_link" },
	{ 0x01403a03, "rtnl_link_register" },
	{ 0xfe8d8811, "nf_connlabels_put" },
	{ 0xbd708bbf, "genlmsg_put" },
	{ 0x0955a7fe, "___pskb_trim" },
	{ 0x2c4dd371, "trace_event_raw_init" },
	{ 0x236c8c64, "memcpy" },
	{ 0x1f20a06f, "psample_sample_packet" },
	{ 0x037a0cba, "kfree" },
	{ 0x4435f997, "dev_set_promiscuity" },
	{ 0xbc0984bf, "nf_ct_destroy_timeout" },
	{ 0xe1f32b36, "nf_ct_add_helper" },
	{ 0x3ed710a2, "nf_conntrack_helper_put" },
	{ 0xbc69463c, "netlink_set_err" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x61f99df5, "nf_ct_skb_network_trim" },
	{ 0x55f45774, "unregister_netdevice_queue" },
	{ 0x39406aa3, "skb_pull_rcsum" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x49672828, "node_states" },
	{ 0xa9621f99, "ether_setup" },
	{ 0x3189949a, "netlink_broadcast_filtered" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x3da5c61a, "pskb_expand_head" },
	{ 0x9b4220f9, "skb_csum_hwoffload_help" },
	{ 0x24248a27, "trace_event_buffer_commit" },
	{ 0xc95ca324, "dev_addr_mod" },
	{ 0x154f48a8, "nf_connlabels_replace" },
	{ 0xe438a9ce, "eth_type_trans" },
	{ 0x527a1fac, "alloc_netdev_mqs" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xc23cc701, "nf_connlabels_get" },
	{ 0xff2d565c, "drop_reasons_unregister_subsys" },
	{ 0x56161148, "netdev_rx_handler_unregister" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xafe3d767, "skb_eth_push" },
	{ 0xbd14be04, "nf_conncount_count" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xa7f1bfbc, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xe4a03ea8, "skb_mpls_pop" },
	{ 0x95fa4b8f, "skb_vlan_pop" },
	{ 0xf343cf3d, "dst_init" },
	{ 0x4a93ea70, "module_put" },
	{ 0xa0d3d560, "ksize" },
	{ 0x7601512b, "__skb_get_hash_net" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x7209d838, "rtnl_link_unregister" },
	{ 0xd15fbfd9, "perf_trace_run_bpf_submit" },
	{ 0x629c8a30, "init_net" },
	{ 0x6ccc34dd, "sort" },
	{ 0x1c9dccf1, "ipv6_stub" },
	{ 0x68ad15c7, "skb_mpls_update_lse" },
	{ 0x5b1c2d30, "skb_pull" },
	{ 0x5ea9d86f, "__skb_get_hash_symmetric_net" },
	{ 0x4dea1053, "memchr" },
	{ 0xdfd80448, "sk_skb_reason_drop" },
	{ 0x232b751d, "netlink_unicast" },
	{ 0xa5cd8d65, "bpf_trace_run5" },
	{ 0x995e4bbf, "dev_get_by_index_rcu" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x5db31487, "skb_push" },
	{ 0x654bb159, "kmem_cache_free" },
	{ 0xbb05e5bc, "netdev_upper_dev_unlink" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x252941ae, "trace_event_reg" },
	{ 0xc0c84efa, "skb_ensure_writable" },
	{ 0x6496503d, "free_netdev" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0xb562a211, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xa965ca81, "reciprocal_value" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x0276d40e, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x626a6ab9, "ethtool_op_get_link" },
	{ 0x7a1418e9, "__nf_conntrack_confirm" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x0460ec0f, "nf_ct_invert_tuple" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xb3a670e8, "nf_nat_helper_put" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xce068d59, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x950c6761, "__pskb_pull_tail" },
	{ 0x86cde5c6, "nf_ct_delete" },
	{ 0xf74d962c, "nf_conncount_init" },
	{ 0xbc35dfd2, "skb_vlan_push" },
	{ 0x6dbefeec, "netif_rx" },
	{ 0x3ad6a4f7, "__netdev_alloc_skb" },
	{ 0x54631801, "__kmem_cache_create_args" },
	{ 0x2c5b361f, "netdev_master_upper_dev_link" },
	{ 0x2256acbb, "skb_zerocopy_headlen" },
	{ 0x267dd8e8, "drop_reasons_register_subsys" },
	{ 0x103bafd6, "down_read" },
	{ 0x0d7608df, "inet_proto_csum_replace16" },
	{ 0x72359d03, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x6240d9a4, "skb_scrub_packet" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x854bfb34, "nf_ct_deliver_cached_events" },
	{ 0x54dc07b6, "ipv6_find_hdr" },
	{ 0x40fab7bd, "skb_tx_error" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xfa7ede3d, "crc32c_le_arch" },
	{ 0xb0d7b662, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x9957e9ef, "trace_event_buffer_reserve" },
	{ 0x97ab7808, "__skb_checksum" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x0a7ed619, "inet_proto_csum_replace4" },
	{ 0xa3107810, "nf_conncount_destroy" },
	{ 0x29da6ad5, "skb_zerocopy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0xd3bd3ebb, "netdev_master_upper_dev_get" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc147ae73, "dev_get_by_name" },
	{ 0xe666af72, "skb_clone" },
	{ 0x6e009b8f, "metadata_dst_alloc" },
	{ 0x7f0f7a95, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6fcb9ece, "peernet2id_alloc" },
	{ 0x07353ade, "nf_ct_get_tuplepr" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x9fb048f0, "netdev_rx_handler_register" },
	{ 0xda063142, "ip_do_fragment" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0xde6591d1, "genl_unregister_family" },
	{ 0xb140d1af, "dev_disable_lro" },
	{ 0x779f1936, "kmem_cache_alloc_node_noprof" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0x3bc38f9b, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xa6940c93, "genl_register_family" },
	{ 0x107096da, "nf_ct_tmpl_free" },
	{ 0x107ae8e5, "netlink_has_listeners" },
	{ 0x0332c029, "kmalloc_size_roundup" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x939ff5ba, "__skb_gso_segment" },
	{ 0x555ccb97, "up_read" },
	{ 0x392a33a3, "skb_mpls_push" },
	{ 0x97fee5af, "register_pernet_device" },
	{ 0x2cca0d3b, "nf_conntrack_in" },
	{ 0xcc3f54e5, "net_rwsem" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x7dc5ffa7, "tc_skb_ext_tc_disable" },
	{ 0x3832522f, "__crc32c_le_shift" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x73c44bf5, "kmem_cache_destroy" },
	{ 0x15ec9108, "__skb_vlan_pop" },
	{ 0x46816028, "nf_ct_tmpl_alloc" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xd81e2cd2, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack,nf_nat,psample,nf_conncount");


MODULE_INFO(srcversion, "C9A7C8E88C2A7207A0EB98E");
MODULE_INFO(rhelversion, "9.99");
