#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(i2c_freq_mode_string, "_gpl", "");
KSYMTAB_FUNC(i2c_match_id, "_gpl", "");
KSYMTAB_FUNC(i2c_get_match_data, "", "");
KSYMTAB_FUNC(i2c_generic_scl_recovery, "_gpl", "");
KSYMTAB_FUNC(i2c_recover_bus, "_gpl", "");
KSYMTAB_DATA(i2c_bus_type, "_gpl", "");
KSYMTAB_DATA(i2c_client_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_client, "", "");
KSYMTAB_FUNC(i2c_new_client_device, "_gpl", "");
KSYMTAB_FUNC(i2c_unregister_device, "_gpl", "");
KSYMTAB_FUNC(i2c_find_device_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(devm_i2c_new_dummy_device, "_gpl", "");
KSYMTAB_FUNC(i2c_new_ancillary_device, "_gpl", "");
KSYMTAB_FUNC(i2c_adapter_depth, "_gpl", "");
KSYMTAB_DATA(i2c_adapter_type, "_gpl", "");
KSYMTAB_FUNC(i2c_verify_adapter, "", "");
KSYMTAB_FUNC(i2c_handle_smbus_host_notify, "_gpl", "");
KSYMTAB_FUNC(i2c_add_adapter, "", "");
KSYMTAB_FUNC(i2c_add_numbered_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_del_adapter, "", "");
KSYMTAB_FUNC(devm_i2c_add_adapter, "_gpl", "");
KSYMTAB_FUNC(i2c_find_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_get_adapter_by_fwnode, "", "");
KSYMTAB_FUNC(i2c_parse_fw_timings, "_gpl", "");
KSYMTAB_FUNC(i2c_for_each_dev, "_gpl", "");
KSYMTAB_FUNC(i2c_register_driver, "", "");
KSYMTAB_FUNC(i2c_del_driver, "", "");
KSYMTAB_FUNC(i2c_clients_command, "", "");
KSYMTAB_FUNC(__i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer, "", "");
KSYMTAB_FUNC(i2c_transfer_buffer_flags, "", "");
KSYMTAB_FUNC(i2c_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_client_get_device_id, "_gpl", "");
KSYMTAB_FUNC(i2c_probe_func_quick_read, "_gpl", "");
KSYMTAB_FUNC(i2c_new_scanned_device, "_gpl", "");
KSYMTAB_FUNC(i2c_get_adapter, "", "");
KSYMTAB_FUNC(i2c_put_adapter, "", "");
KSYMTAB_FUNC(i2c_get_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_put_dma_safe_msg_buf, "_gpl", "");
KSYMTAB_FUNC(i2c_smbus_pec, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte, "", "");
KSYMTAB_FUNC(i2c_smbus_read_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_byte_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_word_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_write_i2c_block_data, "", "");
KSYMTAB_FUNC(i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(__i2c_smbus_xfer, "", "");
KSYMTAB_FUNC(i2c_smbus_read_i2c_block_data_or_emulated, "", "");
KSYMTAB_FUNC(i2c_new_smbus_alert_device, "_gpl", "");

SYMBOL_CRC(i2c_freq_mode_string, 0x550f3e05, "_gpl");
SYMBOL_CRC(i2c_match_id, 0x23516251, "_gpl");
SYMBOL_CRC(i2c_get_match_data, 0xf0841678, "");
SYMBOL_CRC(i2c_generic_scl_recovery, 0x9df35633, "_gpl");
SYMBOL_CRC(i2c_recover_bus, 0xa10a0b00, "_gpl");
SYMBOL_CRC(i2c_bus_type, 0x521015b9, "_gpl");
SYMBOL_CRC(i2c_client_type, 0x0011dc18, "_gpl");
SYMBOL_CRC(i2c_verify_client, 0x9f71e368, "");
SYMBOL_CRC(i2c_new_client_device, 0xb8671bb0, "_gpl");
SYMBOL_CRC(i2c_unregister_device, 0x8d57ac64, "_gpl");
SYMBOL_CRC(i2c_find_device_by_fwnode, 0x7cd1cf9f, "");
SYMBOL_CRC(i2c_new_dummy_device, 0x56ae44b3, "_gpl");
SYMBOL_CRC(devm_i2c_new_dummy_device, 0x4871a405, "_gpl");
SYMBOL_CRC(i2c_new_ancillary_device, 0xda94994b, "_gpl");
SYMBOL_CRC(i2c_adapter_depth, 0xdfb29d47, "_gpl");
SYMBOL_CRC(i2c_adapter_type, 0xbf912b80, "_gpl");
SYMBOL_CRC(i2c_verify_adapter, 0x22090ed7, "");
SYMBOL_CRC(i2c_handle_smbus_host_notify, 0x7de14205, "_gpl");
SYMBOL_CRC(i2c_add_adapter, 0x8b44833f, "");
SYMBOL_CRC(i2c_add_numbered_adapter, 0xa35ff601, "_gpl");
SYMBOL_CRC(i2c_del_adapter, 0xd57000fa, "");
SYMBOL_CRC(devm_i2c_add_adapter, 0x6d105240, "_gpl");
SYMBOL_CRC(i2c_find_adapter_by_fwnode, 0x1ccfac43, "");
SYMBOL_CRC(i2c_get_adapter_by_fwnode, 0x91c4f3fb, "");
SYMBOL_CRC(i2c_parse_fw_timings, 0x8e09834c, "_gpl");
SYMBOL_CRC(i2c_for_each_dev, 0xc3f69fe0, "_gpl");
SYMBOL_CRC(i2c_register_driver, 0xa955bef2, "");
SYMBOL_CRC(i2c_del_driver, 0xd0bafcaf, "");
SYMBOL_CRC(i2c_clients_command, 0x5d5ac84e, "");
SYMBOL_CRC(__i2c_transfer, 0x05e496b0, "");
SYMBOL_CRC(i2c_transfer, 0x6c1d9473, "");
SYMBOL_CRC(i2c_transfer_buffer_flags, 0x8eef3946, "");
SYMBOL_CRC(i2c_get_device_id, 0xf3ea2193, "_gpl");
SYMBOL_CRC(i2c_client_get_device_id, 0x1b28c2ec, "_gpl");
SYMBOL_CRC(i2c_probe_func_quick_read, 0x68b8210d, "_gpl");
SYMBOL_CRC(i2c_new_scanned_device, 0x8a606d2a, "_gpl");
SYMBOL_CRC(i2c_get_adapter, 0x81d119ac, "");
SYMBOL_CRC(i2c_put_adapter, 0x6e99eb9d, "");
SYMBOL_CRC(i2c_get_dma_safe_msg_buf, 0x42041512, "_gpl");
SYMBOL_CRC(i2c_put_dma_safe_msg_buf, 0x4dae16e4, "_gpl");
SYMBOL_CRC(i2c_smbus_pec, 0x3491d1ae, "");
SYMBOL_CRC(i2c_smbus_read_byte, 0xc10d399c, "");
SYMBOL_CRC(i2c_smbus_write_byte, 0x07fd2919, "");
SYMBOL_CRC(i2c_smbus_read_byte_data, 0x338bd0dc, "");
SYMBOL_CRC(i2c_smbus_write_byte_data, 0xebcc90c1, "");
SYMBOL_CRC(i2c_smbus_read_word_data, 0x6f3e007c, "");
SYMBOL_CRC(i2c_smbus_write_word_data, 0x7c761ccc, "");
SYMBOL_CRC(i2c_smbus_read_block_data, 0x2ba3d202, "");
SYMBOL_CRC(i2c_smbus_write_block_data, 0xb9031442, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data, 0xdb4bd612, "");
SYMBOL_CRC(i2c_smbus_write_i2c_block_data, 0x1f8c9efd, "");
SYMBOL_CRC(i2c_smbus_xfer, 0x5362025d, "");
SYMBOL_CRC(__i2c_smbus_xfer, 0x7bff4c0f, "");
SYMBOL_CRC(i2c_smbus_read_i2c_block_data_or_emulated, 0x53780d60, "");
SYMBOL_CRC(i2c_new_smbus_alert_device, 0x878acd3a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x6f094917, "gpiod_get_value_cansleep" },
	{ 0x09b98b19, "try_module_get" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x35da8a36, "gpiod_get_direction" },
	{ 0x2d74965c, "devres_release_group" },
	{ 0x3761d215, "idr_find" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x55c5e826, "dev_set_name" },
	{ 0xaca0aef0, "complete" },
	{ 0xde35b82a, "trace_raw_output_prep" },
	{ 0x407d26cd, "bpf_trace_run6" },
	{ 0x6b121938, "device_unregister" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x22fb0260, "__trace_trigger_soft_disabled" },
	{ 0x2f47f6d7, "irq_domain_remove" },
	{ 0x220d9811, "gpiod_set_value_cansleep" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0x985a279b, "trace_event_printf" },
	{ 0xf7370f56, "system_state" },
	{ 0xf996c33c, "device_initialize" },
	{ 0xad33d67c, "dummy_irq_chip" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x2c4dd371, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x81fa175b, "device_for_each_child" },
	{ 0x65af1cc2, "bus_for_each_drv" },
	{ 0x0343bdf1, "__i2c_board_list" },
	{ 0xb6a2dc59, "get_device" },
	{ 0xade6fabb, "bpf_trace_run8" },
	{ 0x81e2bdf4, "generic_handle_irq_safe" },
	{ 0x6865e8fe, "__dynamic_dev_dbg" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0xc2dd0319, "dev_driver_string" },
	{ 0x24248a27, "trace_event_buffer_commit" },
	{ 0xe88e3917, "device_match_fwnode" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x2fd5937f, "irq_set_chip_and_handler_name" },
	{ 0xc4a63b82, "put_device" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5f8ac1fd, "device_property_read_u32_array" },
	{ 0xdf17c44f, "handle_simple_irq" },
	{ 0x069ae138, "bus_for_each_dev" },
	{ 0x667d7849, "_dev_info" },
	{ 0x4a93ea70, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd15fbfd9, "perf_trace_run_bpf_submit" },
	{ 0xf39fc7e1, "bus_unregister" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xebd129e3, "_dev_err" },
	{ 0xd2510a63, "up_write" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x70c2ea43, "bus_find_device" },
	{ 0x399f2a94, "device_add" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0xa99863a6, "irq_get_irq_data" },
	{ 0xcc17765f, "rt_mutex_unlock" },
	{ 0x8596c199, "rt_mutex_trylock" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x0a6035ad, "debugfs_remove" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x252941ae, "trace_event_reg" },
	{ 0xe6cd37d7, "driver_unregister" },
	{ 0x40cc1368, "devres_open_group" },
	{ 0x50e7193a, "__i2c_first_dynamic_bus_num" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x250a2fad, "device_find_child" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xa534ecf9, "device_register" },
	{ 0xf7e6ea38, "__irq_resolve_mapping" },
	{ 0x20895f76, "_dev_warn" },
	{ 0x03814608, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x6246a629, "synchronize_rcu_tasks_trace" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x24625555, "device_remove_software_node" },
	{ 0x103bafd6, "down_read" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x3b2d5cd2, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9957e9ef, "trace_event_buffer_reserve" },
	{ 0xb348e4b3, "irq_domain_instantiate" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x958fe495, "driver_for_each_device" },
	{ 0xdf8c695a, "__ndelay" },
	{ 0x29c7944a, "devm_gpiod_get" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x2d32aed6, "irq_create_mapping_affinity" },
	{ 0x01d69428, "__rt_mutex_init" },
	{ 0xc824f9d8, "__i2c_board_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x48fc8492, "device_add_software_node" },
	{ 0x7c046242, "__devm_add_action" },
	{ 0xf5a7be34, "bpf_trace_run7" },
	{ 0x349cba85, "strchr" },
	{ 0x662acb88, "debugfs_create_dir" },
	{ 0x05f838ac, "rt_mutex_lock" },
	{ 0xba225867, "gpiod_direction_output" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x7a1ee536, "driver_register" },
	{ 0x27e148b3, "__dev_fwnode" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0x7e27f50f, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "01B5EACA0488D7179D21388");
MODULE_INFO(rhelversion, "9.99");
