#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gss_mech_register, "_gpl", "");
KSYMTAB_FUNC(gss_mech_unregister, "_gpl", "");
KSYMTAB_FUNC(gss_mech_get, "", "");
KSYMTAB_FUNC(gss_pseudoflavor_to_service, "", "");
KSYMTAB_FUNC(gss_mech_put, "", "");
KSYMTAB_FUNC(svcauth_gss_flavor, "_gpl", "");
KSYMTAB_FUNC(svcauth_gss_register_pseudoflavor, "_gpl", "");

SYMBOL_CRC(gss_mech_register, 0xf149c2bd, "_gpl");
SYMBOL_CRC(gss_mech_unregister, 0x3c0e2d95, "_gpl");
SYMBOL_CRC(gss_mech_get, 0xe75532a9, "");
SYMBOL_CRC(gss_pseudoflavor_to_service, 0x5a9d0c40, "");
SYMBOL_CRC(gss_mech_put, 0xe7f4ea7b, "");
SYMBOL_CRC(svcauth_gss_flavor, 0xd9547d2e, "_gpl");
SYMBOL_CRC(svcauth_gss_register_pseudoflavor, 0x15deb005, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x62041c36, "rpc_put_task" },
	{ 0xef464c28, "getboottime64" },
	{ 0x09b98b19, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x337045fc, "vmemmap" },
	{ 0x1db85ed6, "rpc_find_or_alloc_pipe_dir_object" },
	{ 0x53a5960e, "xdr_buf_from_iov" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xe0d62d3e, "bpf_trace_run4" },
	{ 0x4e53020d, "xdr_stream_decode_opaque_auth" },
	{ 0x804d5d51, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x3ac99fab, "xdr_write_pages" },
	{ 0xf95d02e4, "rpc_shutdown_client" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x9471608c, "auth_domain_find" },
	{ 0xa3a5be95, "memmove" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x98de1c15, "snprintf" },
	{ 0x50f0acf6, "xdr_inline_decode" },
	{ 0x44ad43e4, "cache_create_net" },
	{ 0xc1beda5a, "rpcauth_destroy_credcache" },
	{ 0xde35b82a, "trace_raw_output_prep" },
	{ 0x0b742fd7, "simple_strtol" },
	{ 0x407d26cd, "bpf_trace_run6" },
	{ 0xf3599afa, "rpc_net_ns" },
	{ 0x05dde5cf, "read_bytes_from_xdr_buf" },
	{ 0x22fb0260, "__trace_trigger_soft_disabled" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x64d74e24, "rpc_wake_up" },
	{ 0x985a279b, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0xd265aefc, "sunrpc_cache_lookup_rcu" },
	{ 0x45b9877f, "prepare_to_wait" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x2c4dd371, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x233f5316, "sprint_oid" },
	{ 0x4e8f6ca7, "sunrpc_net_id" },
	{ 0x1c9f50b1, "proc_create_data" },
	{ 0xbbcec0b7, "groups_alloc" },
	{ 0xacfd7561, "bpf_trace_run2" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x8e77440b, "xdr_truncate_decode" },
	{ 0x5f149844, "rpcauth_unregister" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x4d78661c, "__xdr_commit_encode" },
	{ 0x22595269, "__module_get" },
	{ 0xe5919cb1, "xdr_encode_opaque" },
	{ 0x0658c054, "rpc_sleep_on" },
	{ 0xd6eaaea1, "full_name_hash" },
	{ 0xb0856e9f, "__put_cred" },
	{ 0x66e2ca0f, "register_pernet_subsys" },
	{ 0x24248a27, "trace_event_buffer_commit" },
	{ 0xe7dc83af, "cache_purge" },
	{ 0x92997ed8, "_printk" },
	{ 0xf69f41cd, "rpc_release_client" },
	{ 0x4c2716b5, "auth_domain_lookup" },
	{ 0x01000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xe0471cf1, "rpc_wake_up_status" },
	{ 0x4dac77f0, "xdr_encode_netobj" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x514058ab, "svc_auth_register" },
	{ 0xa05766b4, "xdr_stream_encode_opaque_auth" },
	{ 0x0d83a0a0, "make_kuid" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x6e301bd8, "rpc_destroy_pipe_data" },
	{ 0xca76878b, "__free_pages" },
	{ 0x7fa047db, "rpc_pipe_generic_upcall" },
	{ 0x4a93ea70, "module_put" },
	{ 0x365e7911, "kstrdup_const" },
	{ 0xc3832bda, "cache_unregister_net" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf6b74bcd, "sunrpc_cache_unhash" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xd15fbfd9, "perf_trace_run_bpf_submit" },
	{ 0x4b627c89, "rpcauth_lookup_credcache" },
	{ 0xc8e96dea, "qword_addhex" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0xe97f4ce5, "qword_get" },
	{ 0x1bee8c0f, "rpcauth_init_credcache" },
	{ 0x9de911e4, "sunrpc_cache_pipe_upcall_timeout" },
	{ 0xa67ac29b, "xdr_init_decode" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x252941ae, "trace_event_reg" },
	{ 0xccf832dc, "rpc_call_null" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x2cfa704c, "rpc_sleep_on_timeout" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xc26276cb, "rpc_create" },
	{ 0x33d9c616, "bpf_trace_run1" },
	{ 0x3c9635d0, "rpc_call_sync" },
	{ 0x15538aa6, "from_kuid" },
	{ 0xf36afbae, "unregister_pernet_subsys" },
	{ 0xb9436a7a, "rpc_queue_upcall" },
	{ 0x7421afbc, "xdr_encode_word" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xc06a9c32, "cache_check" },
	{ 0x31a89d59, "rpc_debug" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x9a622860, "svcauth_unix_set_client" },
	{ 0xd353bff7, "xdr_buf_subsegment" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0xb5d3119d, "_atomic_dec_and_lock" },
	{ 0xcd504cde, "make_kgid" },
	{ 0x6d931fe9, "rpc_remove_pipe_dir_object" },
	{ 0xf474fdcb, "kfree_const" },
	{ 0x9aaba65b, "xdr_reserve_space" },
	{ 0xe798236d, "jiffies" },
	{ 0x8199b0b6, "nonseekable_open" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x3b2d5cd2, "bpf_trace_run3" },
	{ 0x03b40251, "__put_net" },
	{ 0x0e1c99dc, "rpc_mkpipe_dentry" },
	{ 0xcbe69989, "rpc_mkpipe_data" },
	{ 0x24a50af9, "gssd_running" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x9957e9ef, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x5f4a905c, "groups_free" },
	{ 0xe8e34743, "cache_register_net" },
	{ 0xf38f4c17, "init_user_ns" },
	{ 0xf0332ad1, "xdr_inline_pages" },
	{ 0xc308db6b, "__folio_put" },
	{ 0xb7a8cb35, "remove_proc_entry" },
	{ 0x6137fe0c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x5a45ba31, "svc_auth_unregister" },
	{ 0x74db064d, "rpc_init_wait_queue" },
	{ 0xaf93dbff, "put_rpccred" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xccd852d1, "alloc_pages_noprof" },
	{ 0xa8e45594, "rpc_unlink" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x4fb04f3e, "rpcauth_wrap_req_encode" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf1307bf8, "groups_sort" },
	{ 0xc2af192b, "from_kuid_munged" },
	{ 0x7ef2ad07, "rpcauth_init_cred" },
	{ 0xa9ed3602, "xdr_decode_word" },
	{ 0x3854774b, "kstrtoll" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xd0b57996, "cache_destroy_net" },
	{ 0x4e34bb52, "rpc_init_pipe_dir_object" },
	{ 0x349cba85, "strchr" },
	{ 0x5a5e7ea3, "simple_read_from_buffer" },
	{ 0x1f68a478, "xdr_stream_pos" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x609202f9, "rpc_task_gfp_mask" },
	{ 0xbee23065, "sunrpc_cache_update" },
	{ 0x8b15c19c, "xdr_truncate_encode" },
	{ 0x85d07771, "rpc_destroy_wait_queue" },
	{ 0xc3d79831, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x1f6087c7, "auth_domain_put" },
	{ 0x8d6f4f91, "rpcauth_unwrap_resp_decode" },
	{ 0x409d9e04, "rpcauth_register" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "sunrpc");


MODULE_INFO(srcversion, "D5FC69697817F652A2F17F1");
MODULE_INFO(rhelversion, "9.99");
